/****************************************
 *************   protos.h   *************
 ****************************************/

#include <exec/types.h>
#include <dos/dos.h>			/* For BPTR */

#include <stdio.h>			/* For FILE */

/*** main.c - main() function and cleanup routines ***/

void cleanup(void);

int main(int,char **);

/*** general.c - startup and error routines ***/

void startup(int,char **);
void error(const char *,error_e,int,const char *);

/*** win.c - main window routines ***/

void win_listview(WORD);
void win_parent(void);
void win_all(void);
void win_none(void);
void win_getbinary(void);
void win_putbinary(void);
void win_about(void);
void win_devices(void);

void win_ghost_set(void);
void win_ghost_clear(void);

void win_block_set(void);
void win_block_clear(void);

void win_status_set(char *);
void win_status_clear(void);

void win_listview_clear(void);
void win_listview_redraw(void);
BOOL win_listview_add(struct listviewdata *,zfiletype_e);

BOOL win_idcmphandler(struct IntuiMessage *);

/*** serial.c - read/write serial port commands ***/

BOOL serial_data_put(WORD *,BOOL);
BOOL serial_data_get(UBYTE *,LONG);
BOOL serial_data_get_single(WORD *);

BOOL serial_sync(void);

BOOL serial_hello(void);
BOOL serial_devices(void);
BOOL serial_directories(void);
BOOL serial_filenames(void);

BOOL serial_binary_get(char *);
BOOL serial_binary_put(char *,char *);
